PUT
/
v1
/
projects
/
{id}
cURL
curl -X PUT 'https://api.growthbook.io/api/v1/projects/abc123' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"name":"My Subsidiary"}'import requests
url = "https://api.growthbook.io/api/v1/projects/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"publicId": "<string>",
"settings": {
"statsEngine": "<string>",
"confidenceLevel": 123,
"pValueThreshold": 123
},
"restrictAccess": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
publicId: '<string>',
settings: {statsEngine: '<string>', confidenceLevel: 123, pValueThreshold: 123},
restrictAccess: true
})
};
fetch('https://api.growthbook.io/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project": {
"id": "<string>",
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "<string>",
"publicId": "<string>",
"restrictAccess": true,
"settings": {
"statsEngine": "<string>",
"confidenceLevel": 123,
"pValueThreshold": 123
}
}
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Path Parameters
The id of the requested resource
Body
application/json
Project name.
Project description.
Maximum string length:
10000URL-safe slug (lowercase letters, numbers, dashes).
Project stats settings that, when set, override the organization settings.
Show child attributes
Show child attributes
When true, only members with an explicit role on this Project (directly or via a team) can access it. Members with the manageTeam permission retain access. Requires a Pro or Enterprise plan.
Response
200 - application/json
Resource updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -X PUT 'https://api.growthbook.io/api/v1/projects/abc123' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"name":"My Subsidiary"}'import requests
url = "https://api.growthbook.io/api/v1/projects/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"publicId": "<string>",
"settings": {
"statsEngine": "<string>",
"confidenceLevel": 123,
"pValueThreshold": 123
},
"restrictAccess": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
publicId: '<string>',
settings: {statsEngine: '<string>', confidenceLevel: 123, pValueThreshold: 123},
restrictAccess: true
})
};
fetch('https://api.growthbook.io/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project": {
"id": "<string>",
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "<string>",
"publicId": "<string>",
"restrictAccess": true,
"settings": {
"statsEngine": "<string>",
"confidenceLevel": 123,
"pValueThreshold": 123
}
}
}
